package com.eactive.eai.rms.bap.manage.schedule.businessDay;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

@Repository("BapBusinessDayDao")
@SuppressWarnings({"deprecation","unchecked"})
public class BapBusinessDayDao extends SqlMapClientTemplateDao {

	public int selectListCount(HashMap<String, Object> param) throws Exception {
    	return (Integer)template.queryForObject("BapBusinessDay.selectListCount", param);
    }	

	public List<Map<String, Object>> selectList(HashMap<String, Object> param) throws Exception {
    	return (List<Map<String, Object>>)template.queryForList("BapBusinessDay.selectList", param);
    }	

	public HashMap<String, Object> selectDetail(String bJobMsgScheId) throws Exception {
		HashMap<String, Object> param = new HashMap<String, Object>();
		param.put("bJobMsgScheId", bJobMsgScheId);
    	return (HashMap<String, Object>)template.queryForObject("BapBusinessDay.selectDetail", param);
    }	

    public void insert(HashMap<String, Object> paramMap) throws Exception{
        this.template.insert("BapBusinessDay.insert", paramMap);
    }      

    public void update(HashMap<String, Object> paramMap) throws Exception{
        this.template.update("BapBusinessDay.update", paramMap);
    }

    public void delete(HashMap<String, Object> paramMap) throws Exception{
        this.template.delete("BapBusinessDay.delete", paramMap);
    }

}